#FISICA II

#media
mean(fisica2$Q1)
mean(fisica2$Q2)
mean(fisica2$Q3)
mean(fisica2$Q4)
mean(fisica2$Q5)
mean(fisica2$Q6)
mean(fisica2$Q7)
mean(fisica2$Q8)
mean(fisica2$Q9)
mean(fisica2$Q10)
mean(fisica2$Q11)
mean(fisica2$Q12)

#remover número
data <- data.frame (fisica2$Q1, fisica2$Q2, fisica2$Q3, fisica2$Q4, fisica2$Q5, fisica2$Q6, fisica2$Q7, fisica2$Q8, fisica2$Q9, fisica2$Q10, fisica2$Q11, fisica2$Q12)

#> View(fisica2)
#> library(readxl)
#> fisica2 <- read_excel("~/Desktop/Dissertacao_Mariana/5_DADOS/fisica2.xlsx")
#> View(fisica2)

#teste
boxplot(fisica2$Q1, fisica2$Q2, fisica2$Q3, fisica2$Q4, fisica2$Q5, fisica2$Q6, fisica2$Q7, fisica2$Q8, fisica2$Q9, fisica2$Q10, fisica2$Q11, fisica2$Q12)
#ok
boxplot(data, names = c("1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12"), col = "gray", xlab = "Questões", ylab = "Escala Likert (1-7)", main = "Box Plot Física II")
axis(1,at=1:12)

# sumary calcula os valores mínimo e máximo, a média e a mediana, o primeiro e o terceiro quartis
summary (fisica2)

#desvio padrao
sd(fisica2$Q1)
sd(fisica2$Q2)
sd(fisica2$Q3)
sd(fisica2$Q4)
sd(fisica2$Q5)
sd(fisica2$Q6)
sd(fisica2$Q7)
sd(fisica2$Q8)
sd(fisica2$Q9)
sd(fisica2$Q10)
sd(fisica2$Q11)
sd(fisica2$Q12)

#calcular o alpha das questoes (antes invertemos a questao 5)
psych::alpha(data)

#raw alpha - covariancias
#standard alpha - correlacoes

#intalar packages
install.packages("psych",dependencies = TRUE)


#Histogramas
hist(fisica2$Q1, breaks = seq(0.5,7.5), main = "Histograma Questão 01", ylim = c(0,20), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q2, breaks = seq(0.5,7.5), main = "Histograma Questão 02", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q3, breaks = seq(0.5,7.5), main = "Histograma Questão 03", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q4, breaks = seq(0.5,7.5), main = "Histograma Questão 04", ylim = c(0,30), xlab = "Valor escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q5, breaks = seq(0.5,7.5), main = "Histograma Questão 05", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q6, breaks = seq(0.5,7.5), main = "Histograma Questão 06", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q7, breaks = seq(0.5,7.5), main = "Histograma Questão 07", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q8, breaks = seq(0.5,7.5), main = "Histograma Questão 08", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q9, breaks = seq(0.5,7.5), main = "Histograma Questão 09", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q10, breaks = seq(0.5,7.5), main = "Histograma Questão 10", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q11, breaks = seq(0.5,7.5), main = "Histograma Questão 11", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(fisica2$Q12, breaks = seq(0.5,7.5), main = "Histograma Questão 12", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

#correlação entre as questões
cor(data, method = "pearson")
cor(data, method = "spearman")
cor(data, method = "kendall")

#p.value
cor.test(data[,1],data[,2],method="spearman")$p.value
cor.test(data[,1],data[,2],method="kendall")$p.value
cor.test(data[,1],data[,2],method="pearson")$p.value

#ELETRICIDADE E ELETROMAGNETISMO

#histogramas
hist(elel$Q1, breaks = seq(0.5,7.5), main = "Histograma Questão 01", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q2, breaks = seq(0.5,7.5), main = "Histograma Questão 02", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q3, breaks = seq(0.5,7.5), main = "Histograma Questão 03", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q4, breaks = seq(0.5,7.5), main = "Histograma Questão 04", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q5, breaks = seq(0.5,7.5), main = "Histograma Questão 05", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q6, breaks = seq(0.5,7.5), main = "Histograma Questão 06", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q7, breaks = seq(0.5,7.5), main = "Histograma Questão 07", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q8, breaks = seq(0.5,7.5), main = "Histograma Questão 08", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q9, breaks = seq(0.5,7.5), main = "Histograma Questão 09", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q10, breaks = seq(0.5,7.5), main = "Histograma Questão 10", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q11, breaks = seq(0.5,7.5), main = "Histograma Questão 11", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

hist(elel$Q12, breaks = seq(0.5,7.5), main = "Histograma Questão 12", ylim = c(0,30), xlab = "Escala Likert (1-7)", ylab = "Número de respostas")
axis(1,at=1:8)

#numeric
data2 <- data.frame (elel$Q1, elel$Q2, elel$Q3, elel$Q4, elel$Q5, elel$Q6, elel$Q7, elel$Q8, elel$Q9, elel$Q10, elel$Q11, elel$Q12)

#boxplot
boxplot(data2, names = c("1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12"), col = "gray", xlab = "Questões", ylab = "Escala Likert (1-7)", main = "Box Plot Eletricidade e Eletromagnetismo")
axis(1,at=1:12)

#alfa de cronbach
psych::alpha(data2)

#correlation entre as questões
cor(data2, method = "pearson")
cor(data2, method = "spearman")
cor(data2, method = "kendall")

#p.value
cor.test(data2[,1],data2[,2],method="spearman")$p.value
cor.test(data2[,1],data2[,2],method="kendall")$p.value
cor.test(data2[,1],data2[,2],method="pearson")$p.value

#desvio padrao
sd(elel$Q1)
sd(elel$Q2)
sd(elel$Q3)
sd(elel$Q4)
sd(elel$Q5)
sd(elel$Q6)
sd(elel$Q7)
sd(elel$Q8)
sd(elel$Q9)
sd(elel$Q10)
sd(elel$Q11)
sd(elel$Q12)

#ALPHA
data4 <- data.frame (alfa_dados$Q1, alfa_dados$Q2, alfa_dados$Q3, alfa_dados$Q4, alfa_dados$Q5, alfa_dados$Q6, alfa_dados$Q7, alfa_dados$Q8, alfa_dados$Q9, alfa_dados$Q10, alfa_dados$Q11, alfa_dados$Q12)
psych::alpha(data4)

#NOTAS X ACESSOS

#numeric
data3 <- data.frame(usabilidade_moodle_mariana$'Nota Final', usabilidade_moodle_mariana$'Visualizações')

#plot dispersão
plot(data3[1:2], xlim = c(0,20), ylim = c(0,100),xlab = "Notas", ylab = "Acessos aos vídeos", main = "Eletricidade e Eletromagnetismo")

axis(5,at=1:20)

#correlation
cor(data3,method="pearson")
cor(data3,method="spearman")
cor(data3,method="kendall")

#p.value
cor.test(data3[,1],data3[,2],method="spearman")$p.value
cor.test(data3[,1],data3[,2],method="kendall")$p.value
cor.test(data3[,1],data3[,2],method="pearson")$p.value

#media nota
mean(n_v$Nota)
mean(n_v$Acesso)

#minimo, maximo, mediana, media, 1st quartil, 3rd quartil
summary(n_v$Nota)
summary(n_v$Acesso)

#INQUÉRITOS X NOTAS X ACESSOS
data5 <- data.frame (inq_nota_vis$Q1, inq_nota_vis$Q2, inq_nota_vis$Q3, inq_nota_vis$Q4, inq_nota_vis$Q5, inq_nota_vis$Q6,inq_nota_vis$Q7, inq_nota_vis$Q8, inq_nota_vis$Q9, inq_nota_vis$Q10, inq_nota_vis$Q11, inq_nota_vis$Q12, inq_nota_vis$NOTA, inq_nota_vis$ACESSOS)

#correlação entre as questões
cor(data5, method = "pearson")
cor(data5, method = "spearman")
cor(data5, method = "kendall")

#p.value
cor.test(data5$inq_nota_vis.NOTA, data5$inq_nota_vis.ACESSOS,method="spearman")$p.value
cor.test(data5$inq_nota_vis.NOTA, data5$inq_nota_vis.ACESSOS,method="kendall")$p.value
cor.test(data5$inq_nota_vis.NOTA, data5$inq_nota_vis.ACESSOS,method="pearson")$p.value
